import * as actions from './category';
import { CATEGORY_ACTION_TYPE } from 'redux/constants/ActionTypes';
const { CATEGORY_INIT_BEGIN, CATEGORY_INIT_SUCCESS, CATEGORY_INIT_FAILED } = CATEGORY_ACTION_TYPE;

describe('Category Actions - logic', () => {

    describe('initCategory -logic', () => {
        it('initCategory should be defined', () => {
            expect(typeof actions.initCategory()).toBe('function');
        });

        it('should call redux dispatch', () => {
            const initCallBack = actions.initCategory();
            const mockDispatch = jest.fn();
            initCallBack(mockDispatch);
            expect(mockDispatch).toHaveBeenCalledWith({ type: CATEGORY_INIT_BEGIN });
        });
    });

});
